#!/bin/bash
#
# install-enotice.sh
#
# Thomas Bullinger, B-LUC Consulting <consult@btoy1.net>

source /etc/make.globals
source /etc/make.conf
if [ "T$PORT_ENOTICE_DIR" = 'T' ]
then
        # Add the correct variable to the make.conf file
        echo "PORT_ENOTICE_DIR=/var/enotice" >> /etc/make.conf
        PORT_ENOTICE_DIR=/var/enotice
fi
mkdir -p $PORT_ENOTICE_DIR

if [ ! -f /etc/portage/profile/profile.bashrc ]
then
        # Create the profile script
        mkdir -p /etc/portage/profile
        cd /etc/portage/profile
        wget -q http://dev.gentoo.org/~eldad/enotice/profile.bashrc
fi

if [ ! -f /usr/local/sbin/enotice ]
then
        # Create the enotice script
        mkdir -p /usr/local/sbin
        cd /usr/local/sbin
        wget -q http://dev.gentoo.org/~eldad/enotice/enotice
fi
chmod 500 /usr/local/sbin/enotice
